io.vertx.core.net

## Class JdkSSLEngineOptions

- java.lang.Object
- - io.vertx.core.net.SSLEngineOptions
  - - io.vertx.core.net.JdkSSLEngineOptions

-     public class JdkSSLEngineOptions
      extends SSLEngineOptions

  Configures a `TCPSSLOptions` to use the JDK ssl engine implementation.
  Author:
    Julien Viet

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JdkSSLEngineOptions()`
    `JdkSSLEngineOptions(JdkSSLEngineOptions that)`
    `JdkSSLEngineOptions(JsonObject json)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JdkSSLEngineOptions` | `clone()`
    `JdkSSLEngineOptions` | `copy()`
    `boolean` | `equals(Object o)`
    `int` | `hashCode()`
    `static boolean` | `isAlpnAvailable()`
    `JsonObject` | `toJson()`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JdkSSLEngineOptions

          public JdkSSLEngineOptions()

    - #### JdkSSLEngineOptions

          public JdkSSLEngineOptions(JsonObject json)

    - #### JdkSSLEngineOptions

          public JdkSSLEngineOptions(JdkSSLEngineOptions that)

  - ### Method Detail

    - #### isAlpnAvailable

          public static boolean isAlpnAvailable()

      Returns:
        if alpn support is available via the JDK SSL engine

    - #### toJson

          public JsonObject toJson()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### clone

          public JdkSSLEngineOptions clone()

      Specified by:
        `clone` in class `SSLEngineOptions`

    - #### copy

          public JdkSSLEngineOptions copy()

      Specified by:
        `copy` in class `SSLEngineOptions`

Copyright © 2021 Eclipse. All rights reserved.